Package com.stardog.stark

# Interface XMLCalendar

All Known Implementing Classes:
  `XMLCalendar.Delegate`

public interface XMLCalendar
Read-only access interface to underlying calendar value

See Also:
  - `XMLGregorianCalendar`

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static class`
  `XMLCalendar.Delegate`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `FIELD_UNDEFINED`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compare(XMLCalendar other)`
  `int`
  `getDay()`
  `BigInteger`
  `getEon()`
  Returns the high order component for XML Schema 1.0 dateTime datatype field for year.
  `BigDecimal`
  `getFractionalSecond()`
  `int`
  `getHour()`
  `int`
  `getMillisecond()`
  `int`
  `getMinute()`
  `int`
  `getMonth()`
  `int`
  `getSecond()`
  `int`
  `getTimezone()`
  `int`
  `getYear()`
  `default OffsetDateTime`
  `toOffsetDateTime()`
  `String`
  `toXMLFormat()`
  `XMLGregorianCalendar`
  `unwrap()`
  Get underlying calendar object.

- ## Field Details

  - ### FIELD_UNDEFINED

    static final int FIELD_UNDEFINED
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getEon

    BigInteger getEon()
    Returns the high order component for XML Schema 1.0 dateTime datatype field for year. Should always be null for inlined values
    Returns:
      Null if this optional part of the year field is not defined.
    See Also:
      - `XMLGregorianCalendar`

  - ### getYear

    int getYear()

  - ### getMonth

    int getMonth()

  - ### getDay

    int getDay()

  - ### getHour

    int getHour()

  - ### getMinute

    int getMinute()

  - ### getSecond

    int getSecond()

  - ### getMillisecond

    int getMillisecond()

  - ### getFractionalSecond

    BigDecimal getFractionalSecond()

  - ### getTimezone

    int getTimezone()

  - ### toXMLFormat

    String toXMLFormat()

  - ### compare

    int compare(XMLCalendar other)
    See Also:
      - `XMLGregorianCalendar.compare(XMLGregorianCalendar)`

  - ### unwrap

    XMLGregorianCalendar unwrap()
    Get underlying calendar object. Might be created lazily.
    Returns:

  - ### toOffsetDateTime

    default OffsetDateTime toOffsetDateTime()